package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.ProductDTO;
import com.cnbm.generator.code.mapper.ProductMapper;
import com.cnbm.generator.code.entity.Product;
import com.cnbm.generator.code.service.IProductService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 产品 表
 *
 * @author why
 * @since 2022-08-01
 */
@Service
public class ProductServiceImpl extends CrudServiceImpl<ProductMapper, Product, ProductDTO> implements IProductService {

    @Override
    public QueryWrapper<Product> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<Product> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}