package com.cnbm.processInspection.dto;

import com.cnbm.common.spc.math.StandardDiviation;
import com.cnbm.processInspection.graphAnalyzed.forMeterage.mr.MRGraphEntity;
import com.cnbm.qualityPlanning.entity.ControlLimit;
import com.cnbm.qualityPlanning.entity.ProcessCapability;
import com.cnbm.qualityPlanning.entity.SpecificationLimit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/22 14:18
 */
@Data
@ApiModel(value = "均值极差控制图 结果类")
public class XbarRGraphData {
    @ApiModelProperty(value = "控制图list数据")
    private MRGraphEntity mrGraphEntity;
    @ApiModelProperty(value = "xbar控制图 控制限")
    private ControlLimit XBarCL;
    @ApiModelProperty(value = "R控制图 控制限")
    private ControlLimit RCL;

    @ApiModelProperty(value = "工艺规格限")
    private SpecificationLimit SL;

    @ApiModelProperty(value = "工序能力")
    private ProcessCapability processCapability;

    @ApiModelProperty(value = "标准差/总体标准差")
    private StandardDiviation standardDiviation;


    public XbarRGraphData(MRGraphEntity mrGraphEntity, ControlLimit xBarCL, ControlLimit rCL, SpecificationLimit sl, ProcessCapability processCapability, StandardDiviation standardDiviation){
        this.mrGraphEntity = mrGraphEntity;
        this.XBarCL = xBarCL;
        this.RCL = rCL;
        this.SL = sl;
        this.processCapability = processCapability;
        this.standardDiviation = standardDiviation;
    }
}
